=== debian/changelog ===
kaichat-addons (0.2.0+p24.04+vunstable+git20251209.2147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 21:47:54 +0000

kaichat-addons (0.2.0-0neon) noble; urgency=medium

  * initial release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:45:52 +0000
