=== debian/control ===
Source: kaichat-addons
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               libkweathercore-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse,
               spdx-licenses
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kaichat-addons.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kaichat-addons
Maintainer: Neon CI <neon@kde.org>

Package: kaichat-addons
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Addons for KAIChat
 Various addons to enhance kaichat.
