=== debian/changelog ===
kaichat-addons (0.2.0+p24.04+vunstable+git20251209.2235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 22:35:39 +0000
