=== debian/control ===
--- 
+++ 
@@ -24,6 +24,6 @@
 Package: kaichat-addons
 Architecture: any
 Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: kaichat, ${misc:Depends}, ${shlibs:Depends}
 Description: Addons for KAIChat
  Various addons to enhance kaichat.
